Bug 17455 - Long-running gmail instances end up with thousands of out-of-memory errors
Summary: Long-running gmail instances end up with thousands of out-of-memory errors
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: GoogleBug, InRadar
Depends on:
Blocks:
 
Reported: 2008-02-20 13:21 PST by Eric Seidel (no email)
Modified: 2008-02-22 15:23 PST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2008-02-20 13:21:15 PST
Long-running gmail instances end up with thousands of out-of-memory errors

This is probably a Google bug more than a WebKit bug.  However if I have my corporate gmail account open and my personal gmail account open, and leave them that way for a day or so, eventually gmail will suddenly stop working in one of the tabs.  Opening the javascript console reveals thousands of "Out of memory" errors scrolling by.

Safari didn't give me any indication of which tab was causing the problems, so I don't know for sure it was gmail, but it seems to require me closing one or the other gmail tabs for my browser to start working again at all.

This is a recent change in gmail it seems.  Even a couple of weeks ago I wasn't seeing these errors.  It's possible they are due to some internal version of gmail (in which case this bug is useless to webkit.org and can be closed).

If no one else has seen this, then we can just close this.  I'll file a separate bug against Gmail.
Comment 1 Alexey Proskuryakov 2008-02-21 11:36:47 PST
<rdar://5744037>
Comment 2 Alexey Proskuryakov 2008-02-21 11:38:39 PST
Eric, which is the WebKit version you are running?
Comment 3 Eric Seidel (no email) 2008-02-21 12:24:00 PST
I'm generally running from within Safari Version 3.0.4 (5523.10.6), not using TOT.  I don't generally use TOT for mail.
Comment 4 Geoffrey Garen 2008-02-22 15:23:04 PST
There may be some Google problems to fix, too, but I just added these fixes to WebKit:

Committed revision 30492.
Committed revision 30493.